getVisualBoxList(params: QueryGetAiVisualList)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Query VisionBox list (associated services)
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<VisionBoxDto[]>
VisionBoxDto array
Referenced Types
interface
VisionBoxDto| Property | Type | Description |
|---|---|---|
visionBoxId | string | Vision Cube ID |
visionBoxName | string | Visual Cube name |
gmtCreate | string | Creation time |
serviceStockId | string | Associated service inventory ID |
serviceName | string | Service name |
enableState | number | Enabled status |
expiredTime | number | Expiration time |
scenesType | SceneType | Scene type |
enum
SceneType| Value | Actual Value | Description |
|---|---|---|
SceneType.security | 0 | Security scenario |
SceneType.album | 1 | Gallery scenario |
Valid Values
SceneType
| Value | Description | Since |
|---|---|---|
0 | Security scenario | - |
1 | Gallery scenario | - |